Bug 818661 - [REST API] Returning duplicate error messages on invalid app name
[REST API] Returning duplicate error messages on invalid app name
Status: CLOSED WORKSFORME
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
1.x
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Krishna Raman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-03 12:58 EDT by Clayton Coleman
Modified: 2014-06-18 03:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-04 16:07:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clayton Coleman 2012-05-03 12:58:44 EDT
POST /broker/rest/domains/133606422702a948/applications.json HTTP/1.1\r\nHost: localhost\r\nContent-Type: application/json\r\nAccept: */*\r\nAuthorization: Basic YXBwX3Rlc3QxMTMzNjA2NDIyNzAyYTk0OEB0ZXN0MS5jb206\r\nConnection: close\r\nContent-Length: 67\r\nCookie: rh_sso=123\r\n\r\n"
<- "{\"application_type\":\"diy-0.1\",\"name\":\"@@ @@\",\"cartridge\":\"diy-0.1\"}"

Returns

-> "{\"version\":\"1.0\",\"type\":null,\"messages\":[{\"text\":\"Invalid name specified: @@ @@\",\"exit_code\":105,\"field\":\"name\",\"severity\":\"error\"},{\"text\":\"Invalid name specified: @@ @@\",\"exit_code\":105,\"field\":\"name\",\"severity\":\"error\"}],\"data\":null,\"status\":\"unprocessable_entity\"}"

Fails site unit test.

Note You need to log in before you can comment on or make changes to this bug.